<?php
/***************************************************************
*  Copyright notice
*
*  (c) 2013 IMIA net based solutions (d.frerich@imia.de)
*  All rights reserved
*
*  This script is part of the TYPO3 project. The TYPO3 project is
*  free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  The GNU General Public License can be found at
*  http://www.gnu.org/copyleft/gpl.html.
*
*  This script is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  This copyright notice MUST APPEAR in all copies of the script!
***************************************************************/

if (!defined ('TYPO3_MODE')) {
    die ('Access denied.');
}

// Build SQL, TCA, TypoScript, Autoloading for alle Extensions
\IMIA\BaseExt\Utility\DynamicConfiguration::build('localconf');

$GLOBALS['TYPO3_CONF_VARS']['SYS']['lang']['cache']['clear_menu'] = true;

/* Hooks */
$GLOBALS['TYPO3_CONF_VARS']['EXTCONF']['extbase']['typeConverters'][] =
    'IMIA\BaseExt\Property\TypeConverter\ArrayConverter';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_tcemain.php']['clearCachePostProc']['tx_imiabaseext'] =
    'IMIA\BaseExt\Hook\DataHandler->clearCachePostProc';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['ext/install/mod/class.tx_install.php']['checkTheDatabase']['tx_imiabaseext'] =
    'IMIA\BaseExt\Hook\CheckTheDatabase';

$GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['additionalBackendItems']['cacheActions']['tx_imiabaseext'] =
    'IMIA\BaseExt\Hook\ClearCacheActions';

/* Xclasses */
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Extbase\Property\TypeConverter\PersistentObjectConverter'] = array(
    'className' => 'IMIA\BaseExt\Property\TypeConverter\PersistentObjectConverter',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Extbase\Property\PropertyMapper'] = array(
    'className' => 'IMIA\BaseExt\Property\PropertyMapper',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Backend\Form\ElementConditionMatcher'] = array(
    'className' => 'IMIA\BaseExt\Xclass\Backend\Form\ElementConditionMatcher',
);
$GLOBALS['TYPO3_CONF_VARS']['SYS']['Objects']['TYPO3\CMS\Backend\Form\FormEngine'] = array(
    'className' => 'IMIA\BaseExt\Xclass\Backend\Form\FormEngine',
);